diff --git miniupnpc/miniupnpc.spec miniupnpc/miniupnpc.spec.tmp
index 5406737be7..3a5cccac95 100644
--- miniupnpc/miniupnpc.spec
+++ miniupnpc/miniupnpc.spec.tmp
@@ -10,7 +10,7 @@
 Summary:	Library and tool to control NAT in UPnP-enabled routers
 Name:		miniupnpc
 Version:	2.0
-Release:	5%{?dist}
+Release:	6%{?dist}
 License:	BSD
 Group:		System Environment/Libraries
 URL:		http://miniupnp.free.fr/
@@ -41,12 +41,13 @@ Requires:	%{name}%{?_isa} = %{version}-%{release}
 This package contains the header files and development documentation
 for %{name}.
 
-%package	-n python-%{name}
+%package	-n python2-%{name}
+%{?python_provide:%python_provide python2-%{name}}
 Summary:	Python interface to %{name}
 Group:		System Environment/Libraries
 Requires:	%{name}%{?_isa} = %{version}-%{release}
 
-%description	-n python-%{name}
+%description	-n python2-%{name}
 This package contains python interfaces to %{name}.
 
 %if %{with_python3}
@@ -122,7 +123,7 @@ make CFLAGS="%{optflags} -DMINIUPNPC_SET_SOCKET_TIMEOUT" check
 %{_libdir}/libminiupnpc.so
 %{_mandir}/man3/miniupnpc.3*
 
-%files		-n python-%{name}
+%files		-n python2-%{name}
 %{python_sitearch}/miniupnpc-%{version}-py?.?.egg-info
 %{python_sitearch}/miniupnpc.so
 
@@ -133,6 +134,10 @@ make CFLAGS="%{optflags} -DMINIUPNPC_SET_SOCKET_TIMEOUT" check
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.0-6
+- Python 2 subpackage renamed to python2-miniupnpc
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git mlt/mlt.spec mlt/mlt.spec.tmp
index 868fdd457a..5a43c74498 100644
--- mlt/mlt.spec
+++ mlt/mlt.spec.tmp
@@ -4,7 +4,7 @@
 Summary:        Toolkit for broadcasters, video editors, media players, transcoders
 Name:           mlt
 Version:        6.4.1
-Release:        7%{?dist}
+Release:        8%{?dist}
 
 # mlt/src/win32/fnmatch.{c,h} are BSD-licensed.
 # but is not used in Linux
@@ -72,7 +72,10 @@ Group:          Development/Libraries
 Requires:       pkgconfig
 Requires:       %{name}%{?_isa} = %{version}-%{release}
 
-%package python
+%package -n python2-mlt
+%{?python_provide:%python_provide python2-mlt}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Requires: python
 Requires: %{name}%{?_isa} = %{version}-%{release}
 Summary: Python package to work with MLT
@@ -91,7 +94,7 @@ Summary: PHP package to work with MLT
 The %{name}-devel package contains the header files and static libraries for
 building applications which use %{name}.
 
-%description python
+%description -n python2-mlt
 This module allows to work with MLT using python.
 
 %description ruby
@@ -183,7 +186,7 @@ test "$(pkg-config --modversion mlt++)" = "%{version}"
 %{_libdir}/libmlt.so.*
 %{_datadir}/mlt/
 
-%files python
+%files -n python2-mlt
 %{python_sitelib}/mlt.py*
 %{python_sitearch}/_mlt.so
 
@@ -211,6 +214,10 @@ test "$(pkg-config --modversion mlt++)" = "%{version}"
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 6.4.1-8
+- Python 2 subpackage renamed to python2-mlt
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 6.4.1-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git mysql-connector-python/mysql-connector-python.spec mysql-connector-python/mysql-connector-python.spec.tmp
index 6b92349d7c..ddebae310d 100644
--- mysql-connector-python/mysql-connector-python.spec
+++ mysql-connector-python/mysql-connector-python.spec.tmp
@@ -21,7 +21,7 @@
 
 Name:           mysql-connector-python
 Version:        1.1.6
-Release:        10%{?dist}
+Release:        11%{?dist}
 Summary:        MySQL Connector for Python 2
 
 Group:          Development/Languages
@@ -44,13 +44,23 @@ BuildRequires:  mysql-server
 %endif
 
 
-%description
-MySQL Connector/Python is implementing the MySQL Client/Server protocol
-completely in Python. No MySQL libraries are needed, and no compilation
-is necessary to run this Python DB API v2.0 compliant driver.
+%global _description\
+MySQL Connector/Python is implementing the MySQL Client/Server protocol\
+completely in Python. No MySQL libraries are needed, and no compilation\
+is necessary to run this Python DB API v2.0 compliant driver.\
+\
+Documentation: http://dev.mysql.com/doc/connector-python/en/index.html\
 
-Documentation: http://dev.mysql.com/doc/connector-python/en/index.html
 
+%description %_description
+
+%package -n python2-mysql-connector
+Summary: %summary
+%{?python_provide:%python_provide python2-mysql-connector}
+# Remove before F30
+Provides: mysql-connector-python = %{version}-%{release}
+
+%description -n python2-mysql-connector %_description
 
 %if 0%{?with_python3}
 %package -n mysql-connector-python3
@@ -108,7 +118,7 @@ rm -rf build
 rm -rf %{buildroot}
 
 
-%files
+%files -n python2-mysql-connector
 %defattr(-,root,root,-)
 %doc ChangeLog COPYING README* docs/README_DOCS.txt
 %doc python2/examples
@@ -124,6 +134,10 @@ rm -rf %{buildroot}
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.1.6-11
+- Python 2 subpackage renamed to python2-mysql-connector
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.6-10
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git net-snmp/net-snmp.spec net-snmp/net-snmp.spec.tmp
index 9d0e1d27ed..adc3a43cab 100644
--- net-snmp/net-snmp.spec
+++ net-snmp/net-snmp.spec.tmp
@@ -11,7 +11,7 @@
 Summary: A collection of SNMP protocol tools and libraries
 Name: net-snmp
 Version: 5.7.3
-Release: 21%{?dist}
+Release: 22%{?dist}
 Epoch: 1
 
 License: BSD
@@ -196,12 +196,15 @@ Requires: %{name}-libs%{?_isa} = %{epoch}:%{version}-%{release}
 The net-snmp-agent-libs package contains the runtime agent libraries for shared
 binaries and applications.
 
-%package python
+%package -n python2-net-snmp
+%{?python_provide:%python_provide python2-net-snmp}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Group: Development/Libraries
 Summary: The Python 'netsnmp' module for the Net-SNMP
 Requires: %{name}-libs%{?_isa} = %{epoch}:%{version}-%{release}
 
-%description python
+%description -n python2-net-snmp
 The 'netsnmp' module provides a full featured, tri-lingual SNMP (SNMPv3, 
 SNMPv2c, SNMPv1) client API. The 'netsnmp' module internals rely on the
 Net-SNMP toolkit library.
@@ -517,7 +520,7 @@ rm -rf ${RPM_BUILD_ROOT}
 %{perl_vendorarch}/auto/*SNMP*
 %{perl_vendorarch}/auto/Bundle/*SNMP*
 
-%files python
+%files -n python2-net-snmp
 %doc README
 %{python_sitearch}/*
 
@@ -549,6 +552,10 @@ rm -rf ${RPM_BUILD_ROOT}
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1:5.7.3-22
+- Python 2 subpackage renamed to python2-net-snmp
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:5.7.3-21
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git newt/newt.spec newt/newt.spec.tmp
index f08c822ca6..5fc5095f88 100644
--- newt/newt.spec
+++ newt/newt.spec.tmp
@@ -7,7 +7,7 @@
 Summary: A library for text mode user interfaces
 Name: newt
 Version: 0.52.20
-Release: 2%{?dist}
+Release: 3%{?dist}
 License: LGPLv2
 Group: System Environment/Libraries
 URL: https://pagure.io/newt
@@ -55,12 +55,15 @@ newt.
 The newt-static package contains the static version of the newt library.
 Install it if you need to link statically with libnewt.
 
-%package python
+%package -n python2-newt
+%{?python_provide:%python_provide python2-newt}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary: Python 2 bindings for newt
 Group: Development/Libraries
 Requires: %{name}%{?_isa} = %{version}-%{release}
 
-%description python
+%description -n python2-newt
 The newt-python package contains the Python 2 bindings for the newt library
 providing a python API for creating text mode interfaces.
 
@@ -110,7 +113,7 @@ make DESTDIR=$RPM_BUILD_ROOT install
 %files static
 %{_libdir}/libnewt.a
 
-%files python
+%files -n python2-newt
 %doc peanuts.py popcorn.py
 %{python_sitearch}/*.so
 %{python_sitearch}/*.py*
@@ -124,6 +127,10 @@ make DESTDIR=$RPM_BUILD_ROOT install
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.52.20-3
+- Python 2 subpackage renamed to python2-newt
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.52.20-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git NLopt/NLopt.spec NLopt/NLopt.spec.tmp
index 677c84f0ba..99ee96788c 100644
--- NLopt/NLopt.spec
+++ NLopt/NLopt.spec.tmp
@@ -31,7 +31,7 @@
 
 Name:			NLopt
 Version:		2.4.2
-Release:		12%{?gitrel}%{?dist}
+Release:		13%{?gitrel}%{?dist}
 Summary:		Open-Source library for nonlinear optimization
 %{?el5:Group:		System Environment/Libraries}
 
@@ -181,7 +181,8 @@ This package contains the Octave bindings for %{name}.
 
 
 %if 0%{?with_py}
-%package -n python-%{name}
+%package -n python2-nlopt
+%{?python_provide:%python_provide python2-nlopt}
 Summary:		Python bindings for %{name}
 
 BuildRequires:		numpy
@@ -192,7 +193,7 @@ Requires:		%{name}%{?_isa}			=  %{version}-%{release}
 Provides:		python-%{lc_name}		=  %{version}-%{release}
 Provides:		python-%{lc_name}%{?_isa}	=  %{version}-%{release}
 
-%description -n python-%{name}
+%description -n python2-nlopt
 This package contains Python bindings for %{name}.
 %endif # 0%{?with_py}
 
@@ -430,7 +431,7 @@ octave -H -q --no-window-system --no-site-file --eval "pkg rebuild"
 %endif # 0%{?with_octave}
 
 %if 0%{?with_py}
-%files -n python-%{name}
+%files -n python2-nlopt
 %{python2_sitearch}/*
 %endif # 0%{?with_py}
 
@@ -442,6 +443,10 @@ octave -H -q --no-window-system --no-site-file --eval "pkg rebuild"
 %endif # 0%{?with_py3}
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.4.2-13
+- Python 2 subpackage renamed to python2-nlopt
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.2-12
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git nordugrid-arc/nordugrid-arc.spec nordugrid-arc/nordugrid-arc.spec.tmp
index 7ab8ba02e4..3012806f07 100644
--- nordugrid-arc/nordugrid-arc.spec
+++ nordugrid-arc/nordugrid-arc.spec.tmp
@@ -52,7 +52,7 @@
 
 Name:		nordugrid-arc
 Version:	5.3.2
-Release:	4%{?dist}
+Release:	5%{?dist}
 Summary:	Advanced Resource Connector Grid Middleware
 License:	ASL 2.0
 URL:		http://www.nordugrid.org/
@@ -624,11 +624,14 @@ Connector (ARC).
 Header files and libraries needed to develop applications using ARC.
 
 %if %{with_python}
-%package python
+%package -n python2-nordugrid-arc
+%{?python_provide:%python_provide python2-nordugrid-arc}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:	ARC Python wrapper
 Requires:	%{name} = %{version}-%{release}
 
-%description python
+%description -n python2-nordugrid-arc
 NorduGrid is a collaboration aiming at development, maintenance and
 support of the free Grid middleware, known as the Advanced Resource
 Connector (ARC).
@@ -1629,7 +1632,7 @@ service fetch-crl-cron start > /dev/null 2>&1
 %endif
 
 %if %{with_python}
-%files python
+%files -n python2-nordugrid-arc
 %doc docdir/python/*
 %{python_sitearch}/_arc.*so
 %{python_sitearch}/arc
@@ -1675,6 +1678,10 @@ service fetch-crl-cron start > /dev/null 2>&1
 %doc %{_mandir}/man1/arcperftest.1*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 5.3.2-5
+- Python 2 subpackage renamed to python2-nordugrid-arc
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 5.3.2-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git notify-python/notify-python.spec notify-python/notify-python.spec.tmp
index 4f1621de98..366df6a365 100644
--- notify-python/notify-python.spec
+++ notify-python/notify-python.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           notify-python
 Version:        0.1.1
-Release:        33%{?dist}
+Release:        34%{?dist}
 Summary:        Python bindings for libnotify
 
 Group:          Development/Languages
@@ -19,15 +19,24 @@ BuildRequires:  pygtk2-devel
 BuildRequires:  gtk2-devel, dbus-devel, dbus-glib-devel
 BuildRequires:  autoconf
 
-Requires:   libnotify >= 0.4.3
-Requires:   desktop-notification-daemon
-Requires:   pygtk2
-
 %global pypkgname pynotify
 
-%description
+%global _description\
 Python bindings for libnotify
 
+%description %_description
+
+%package -n python2-notify
+Summary: %summary
+Requires:   pygtk2
+Requires:   desktop-notification-daemon
+Requires:   libnotify >= 0.4.3
+%{?python_provide:%python_provide python2-notify}
+# Remove before F30
+Provides: notify-python = %{version}-%{release}
+
+%description -n python2-notify %_description
+
 %prep
 %setup -q
 %patch0 -p1 -b .fix-GTK-symbols
@@ -56,7 +65,7 @@ install -m 0644 -t examples tests/*.py tests/*.png
 %clean
 rm -rf $RPM_BUILD_ROOT
 
-%files
+%files -n python2-notify
 %defattr(-,root,root,-)
 %doc COPYING AUTHORS NEWS ChangeLog
 %doc examples
@@ -65,6 +74,10 @@ rm -rf $RPM_BUILD_ROOT
 %{_libdir}/pkgconfig/%{name}.pc
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.1-34
+- Python 2 subpackage renamed to python2-notify
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-33
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git opencv/opencv.spec opencv/opencv.spec.tmp
index 5e4ef4a80c..21df5782a6 100644
--- opencv/opencv.spec
+++ opencv/opencv.spec.tmp
@@ -21,7 +21,7 @@
 
 Name:           opencv
 Version:        3.2.0
-Release:        4%{?dist}
+Release:        5%{?dist}
 Summary:        Collection of algorithms for computer vision
 Group:          Development/Libraries
 # This is normal three clause BSD.
@@ -160,14 +160,17 @@ BuildArch:      noarch
 %description    devel-docs
 This package contains the OpenCV documentation and examples programs.
 
-%package        python
+%package        -n python2-opencv
+%{?python_provide:%python_provide python2-opencv}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:        Python bindings for apps which use OpenCV
 Group:          Development/Libraries
 Requires:       opencv%{_isa} = %{version}-%{release}
 Requires:       numpy
 %{?python_provide:%python_provide python2-%{srcname}}
 
-%description    python
+%description    -n python2-opencv
 This package contains Python bindings for the OpenCV library.
 
 %package        python3
@@ -337,7 +340,7 @@ popd
 %files devel-docs
 %doc %{_datadir}/OpenCV/samples
 
-%files python
+%files -n python2-opencv
 %{python2_sitearch}/cv2.so
 
 %files python3
@@ -376,6 +379,10 @@ popd
 %{_libdir}/libopencv_xphoto.so.%{abiver}*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.2.0-5
+- Python 2 subpackage renamed to python2-opencv
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.0-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git openfst/openfst.spec openfst/openfst.spec.tmp
index 00b450d837..94f16e3c35 100644
--- openfst/openfst.spec
+++ openfst/openfst.spec.tmp
@@ -1,6 +1,6 @@
 Name:           openfst
 Version:        1.6.2
-Release:        2%{?dist}
+Release:        3%{?dist}
 Summary:        Weighted finite-state transducer library
 
 License:        ASL 2.0
@@ -56,11 +56,12 @@ Requires:       %{name}%{?_isa} = %{version}-%{release}
 This package contains command-line tools that give access to OpenFst
 functionality.
 
-%package -n python-%{name}
+%package -n python2-%{name}
+%{?python_provide:%python_provide python2-%{name}}
 Summary:        Python 2 interface to %{name}
 Requires:       %{name}%{?_isa} = %{version}-%{release}
 
-%description -n python-%{name}
+%description -n python2-%{name}
 This package contains a python 2 interface to OpenFst.
 
 %prep
@@ -139,10 +140,14 @@ cd ..
 %{_mandir}/man1/*
 %{_datadir}/bash-completion/completions/*
 
-%files -n python-%{name}
+%files -n python2-%{name}
 %{python2_sitearch}/pywrapfst.so
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.6.2-3
+- Python 2 subpackage renamed to python2-openfst
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.2-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git OpenImageIO/OpenImageIO.spec OpenImageIO/OpenImageIO.spec.tmp
index b666f388a7..1a9ec55752 100644
--- OpenImageIO/OpenImageIO.spec
+++ OpenImageIO/OpenImageIO.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           OpenImageIO
 Version:        1.7.15
-Release:        4%{?dist}
+Release:        5%{?dist}
 Summary:        Library for reading and writing images
 
 Group:          Development/Libraries
@@ -61,11 +61,12 @@ classes, utilities, and applications. Main features include:
   truly vast amounts of image data.
 
 
-%package -n python-%{name}
+%package -n python2-openimageio
+%{?python_provide:%python_provide python2-openimageio}
 Summary:        Python 2 bindings for %{name}
 Requires:       %{name}%{?_isa} = %{version}-%{release}
 
-%description -n python-%{name}
+%description -n python2-openimageio
 Python bindings for %{name}.
 
 
@@ -165,7 +166,7 @@ cp -a src/doc/*.1 %{buildroot}%{_mandir}/man1
 %{_libdir}/libOpenImageIO.so.*
 %{_libdir}/libOpenImageIO_Util.so.*
 
-%files -n python-%{name}
+%files -n python2-openimageio
 %{python_sitearch}/OpenImageIO.so
 
 %files utils
@@ -186,6 +187,10 @@ cp -a src/doc/*.1 %{buildroot}%{_mandir}/man1
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.7.15-5
+- Python 2 subpackage renamed to python2-openimageio
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.15-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git OpenIPMI/OpenIPMI.spec OpenIPMI/OpenIPMI.spec.tmp
index 0a08e25637..bf4b0bf55b 100644
--- OpenIPMI/OpenIPMI.spec
+++ OpenIPMI/OpenIPMI.spec.tmp
@@ -5,7 +5,7 @@ Summary: IPMI (Intelligent Platform Management Interface) library and tools
 Name: OpenIPMI
 
 Version: 2.0.23
-Release: 2%{?dist}
+Release: 3%{?dist}
 License: LGPLv2+ and GPLv2+ or BSD
 Group: System Environment/Base
 URL: http://sourceforge.net/projects/openipmi/
@@ -58,12 +58,16 @@ Requires: %{name}-libs = %{version}-%{release}
 %description perl
 The OpenIPMI-perl package contains the Perl language bindings for OpenIPMI.
 
-%package python
+%package -n python2-openipmi
+%{?python_provide:%python_provide python2-openipmi}
+%{?python_provide:%python_provide python2-OpenIPMI}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Group: Development/Libraries
 Summary: IPMI Python language bindings
 Requires: %{name}-libs = %{version}-%{release}
 
-%description python
+%description -n python2-openipmi
 The OpenIPMI-python package contains the Python language bindings for OpenIPMI.
 
 %package devel
@@ -199,7 +203,7 @@ fi
 %attr(644,root,root) %{perl_vendorarch}/OpenIPMI.pm
 %{perl_vendorarch}/auto/OpenIPMI/
 
-%files python
+%files -n python2-openipmi
 %{python_sitearch}/*OpenIPMI*
 
 %files libs
@@ -224,6 +228,10 @@ fi
 %doc %{_mandir}/man5/ipmi_sim_cmd.5*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.0.23-3
+- Python 2 subpackage renamed to python2-openipmi
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.23-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git openscap/openscap.spec openscap/openscap.spec.tmp
index 7a8dacf9c3..8d9985bf46 100644
--- openscap/openscap.spec
+++ openscap/openscap.spec.tmp
@@ -14,7 +14,7 @@ restorecon -R /usr/bin/oscap /usr/libexec/openscap; \
 
 Name:           openscap
 Version:        1.2.14
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        Set of open source libraries enabling integration of the SCAP line of standards
 Group:          System Environment/Libraries
 License:        LGPLv2+
@@ -53,13 +53,16 @@ Requires:       pkgconfig
 The %{name}-devel package contains libraries and header files for
 developing applications that use %{name}.
 
-%package        python
+%package        -n python2-openscap
+%{?python_provide:%python_provide python2-openscap}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:        Python 2 bindings for %{name}
 Group:          Development/Libraries
 Requires:       %{name}%{?_isa} = %{version}-%{release}
 BuildRequires:  python-devel
 
-%description    python
+%description    -n python2-openscap
 The %{name}-python package contains the bindings so that %{name}
 libraries can be used by python.
 
@@ -271,7 +274,7 @@ rm -rf $RPM_BUILD_ROOT
 %{_datadir}/openscap/xsl/*
 %{_datadir}/openscap/cpe/*
 
-%files python
+%files -n python2-openscap
 %defattr(-,root,root,-)
 %{python_sitearch}/*
 
@@ -333,6 +336,10 @@ rm -rf $RPM_BUILD_ROOT
 %{oscapdocker_pysitelib}/oscap_docker_python/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.2.14-4
+- Python 2 subpackage renamed to python2-openscap
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.14-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git opensips/opensips.spec opensips/opensips.spec.tmp
index 51bd3465cf..58bdb876c2 100644
--- opensips/opensips.spec
+++ opensips/opensips.spec.tmp
@@ -5,7 +5,7 @@
 Summary:  Open Source SIP Server
 Name:     opensips
 Version:  2.2.3
-Release:  5%{?dist}
+Release:  6%{?dist}
 License:  GPLv2+
 Group:    System Environment/Daemons
 Source0:  https://github.com/%{name}/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
@@ -621,12 +621,15 @@ This module is a gateway for presence between SIP and XMPP. It translates one
 format into another and uses xmpp, pua and presence modules to manage the
 transmition of presence state information.
 
-%package  python
+%package  -n python2-opensips
+%{?python_provide:%python_provide python2-opensips}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:  Python scripting support
 Group:    System Environment/Daemons
 Requires: %{name}%{?_isa} = %{version}-%{release}
 
-%description python
+%description -n python2-opensips
 Helps implement your own OpenSIPS extensions in Python
 
 %package  regex
@@ -1302,7 +1305,7 @@ useradd -r -g %{name} -d %{_localstatedir}/run/%{name} -s /sbin/nologin \
 %{_libdir}/opensips/modules/pua_xmpp.so
 %doc docdir/README.pua_xmpp
 
-%files python
+%files -n python2-opensips
 %{_libdir}/opensips/modules/python.so
 
 %files regex
@@ -1353,6 +1356,10 @@ useradd -r -g %{name} -d %{_localstatedir}/run/%{name} -s /sbin/nologin \
 %doc docdir/README.xmpp
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.2.3-6
+- Python 2 subpackage renamed to python2-opensips
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.3-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git openwsman/openwsman.spec openwsman/openwsman.spec.tmp
index bfa3ecb4b2..c0915e0efe 100644
--- openwsman/openwsman.spec
+++ openwsman/openwsman.spec.tmp
@@ -12,7 +12,7 @@ BuildRequires:  perl-devel perl-generators pkgconfig openssl-devel
 BuildRequires:  cmake
 BuildRequires:  systemd-units
 Version:        2.6.3
-Release:        4.git%{shortcommit}%{?dist}
+Release:        5.git%{shortcommit}%{?dist}
 Url:            http://www.openwsman.org/
 License:        BSD
 Group:          Applications/System
@@ -103,14 +103,17 @@ Openwsman Server and service libraries
 
 
 
-%package python
+%package -n python2-openwsman
+%{?python_provide:%python_provide python2-openwsman}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 License:        BSD
 Group:          Development/Libraries
 Summary:        Python bindings for openwsman client API
 Requires:       python2
 Requires:       libwsman1 = %{version}-%{release}
 
-%description python
+%description -n python2-openwsman
 This package provides Python2 bindings to access the openwsman client
 API.
 
@@ -299,7 +302,7 @@ rm -f /var/log/wsmand.log
 %{_libdir}/*.so
 %doc AUTHORS COPYING ChangeLog README.md
 
-%files python
+%files -n python2-openwsman
 %{python2_sitearch}/*.so
 %{python2_sitearch}/*.py
 %{python2_sitearch}/*.pyc
@@ -360,6 +363,10 @@ rm -f /var/log/wsmand.log
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.6.3-5.git4391e5c
+- Python 2 subpackage renamed to python2-openwsman
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.3-4.git4391e5c
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git osbs-client/osbs-client.spec osbs-client/osbs-client.spec.tmp
index 7d5cfea409..2baf987fe4 100644
--- osbs-client/osbs-client.spec
+++ osbs-client/osbs-client.spec.tmp
@@ -26,7 +26,7 @@
 %global shortcommit %(c=%{commit}; echo ${c:0:7})
 # set to 0 to create a normal release
 %global postrelease 0
-%global release 2
+%global release 3
 
 %global osbs_obsolete_vr 0.14-2
 
@@ -99,7 +99,8 @@ It is able to query OpenShift v3 for various stuff related to building images.
 It can initiate builds, list builds, get info about builds, get build logs...
 This package contains osbs command line client.
 
-%package -n python-osbs-client
+%package -n python2-osbs-client
+%{?python_provide:%python_provide python2-osbs-client}
 Summary:        Python 2 module for OpenShift Build Service
 Group:          Development/Tools
 License:        BSD
@@ -121,7 +122,7 @@ Provides:       python-osbs = %{version}-%{release}
 Obsoletes:      python-osbs < %{osbs_obsolete_vr}
 %{?python_provide:%python_provide python-osbs-client}
 
-%description -n python-osbs-client
+%description -n python2-osbs-client
 It is able to query OpenShift v3 for various stuff related to building images.
 It can initiate builds, list builds, get info about builds, get build logs...
 This package contains osbs Python 2 bindings.
@@ -190,7 +191,7 @@ LANG=en_US.utf8 py.test-%{python2_version} -vv tests
 %{_bindir}/osbs
 
 
-%files -n python-osbs-client
+%files -n python2-osbs-client
 %doc README.md
 %{!?_licensedir:%global license %doc}
 %license LICENSE
@@ -214,6 +215,10 @@ LANG=en_US.utf8 py.test-%{python2_version} -vv tests
 %endif # with_python3
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.39.1-3
+- Python 2 subpackage renamed to python2-osbs-client
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.39.1-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git ovirt-engine-sdk-python/ovirt-engine-sdk-python.spec ovirt-engine-sdk-python/ovirt-engine-sdk-python.spec.tmp
index 3c28e57226..c2e1e8cd21 100644
--- ovirt-engine-sdk-python/ovirt-engine-sdk-python.spec
+++ ovirt-engine-sdk-python/ovirt-engine-sdk-python.spec.tmp
@@ -1,6 +1,6 @@
 Name: ovirt-engine-sdk-python
 Version: 3.6.9.1
-Release: 3%{dist}
+Release: 4%{dist}
 Summary: oVirt Engine Software Development Kit (Python)
 Group: Development/Libraries
 License: ASL 2.0
@@ -15,16 +15,24 @@ BuildRequires: python-devel
 BuildRequires: python-setuptools
 BuildArch: noarch
 
-Requires: python
-Requires: python-lxml
-Requires: python-pycurl >= 7.19.0
+%global _description\
+This package contains The oVirt-Engine Software Development Kit.\
+With this package, custom software can be built for oVirt-Engine.
 
-Provides:  ovirt-engine-sdk = %{version}-%{release}
+%description %_description
+
+%package -n python2-ovirt-engine-sdk
+Summary: %summary
 Obsoletes: ovirt-engine-sdk < 3.3.0.6
+Provides:  ovirt-engine-sdk = %{version}-%{release}
+Requires: python-pycurl >= 7.19.0
+Requires: python-lxml
+Requires: python
+%{?python_provide:%python_provide python2-ovirt-engine-sdk}
+# Remove before F30
+Provides: ovirt-engine-sdk-python = %{version}-%{release}
 
-%description
-This package contains The oVirt-Engine Software Development Kit.
-With this package, custom software can be built for oVirt-Engine.
+%description -n python2-ovirt-engine-sdk %_description
 
 %prep
 %setup -q
@@ -39,13 +47,17 @@ sed -i 1d src/ovirtsdk/xml/params.py
 %install
 %py2_install
 
-%files
+%files -n python2-ovirt-engine-sdk
 %doc AUTHORS.md
 %doc README.md
 %license LICENSE.txt
 %{python2_sitelib}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.6.9.1-4
+- Python 2 subpackage renamed to python2-ovirt-engine-sdk
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.6.9.1-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git pocketsphinx/pocketsphinx.spec pocketsphinx/pocketsphinx.spec.tmp
index 1a8e6c600a..9da3c8040d 100644
--- pocketsphinx/pocketsphinx.spec
+++ pocketsphinx/pocketsphinx.spec.tmp
@@ -1,6 +1,6 @@
 Name:           pocketsphinx
 Version:        0.8
-Release:        15%{?dist}
+Release:        16%{?dist}
 Summary:        Real-time speech recognition
 
 License:        BSD
@@ -62,12 +62,15 @@ Requires:       gstreamer-plugins-base%{?_isa}
 %description plugin
 A gstreamer plugin for pocketsphinx.
 
-%package python
+%package -n python2-pocketsphinx
+%{?python_provide:%python_provide python2-pocketsphinx}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:        Python interface to pocketsphinx
 Requires:       %{name}-libs%{?_isa} = %{version}-%{release}
 Requires:       sphinxbase-python%{?_isa}
 
-%description python
+%description -n python2-pocketsphinx
 Python interface to pocketsphinx.
 
 %prep
@@ -138,10 +141,14 @@ rm -f doc/html/installdox
 %files plugin
 %{_libdir}/gstreamer-0.10/*
 
-%files python
+%files -n python2-pocketsphinx
 %{python_sitearch}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.8-16
+- Python 2 subpackage renamed to python2-pocketsphinx
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8-15
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
